Show / Hide Table of Contents

# UnityBindingExtensions Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public static class UnityBindingExtensions

##### Inheritance

System.Object → UnityBindingExtensions

### Members

#### Methods

Name | Description
--- | ---
BindTo(IUniTaskAsyncEnumerable<Boolean>, Selectable, Boolean) |
BindTo(IUniTaskAsyncEnumerable<Boolean>, Selectable, CancellationToken, Boolean) |
BindTo(IUniTaskAsyncEnumerable<String>, Text, Boolean) |
BindTo(IUniTaskAsyncEnumerable<String>, Text, CancellationToken, Boolean) |
BindTo<T>(AsyncReactiveProperty<T>, Text, Boolean) |
BindTo<T>(IUniTaskAsyncEnumerable<T>, Text, Boolean) |
BindTo<T>(IUniTaskAsyncEnumerable<T>, Text, CancellationToken, Boolean) |
BindTo<TSource, TObject>(IUniTaskAsyncEnumerable<TSource>, TObject, Action<TObject, TSource>, Boolean) |
BindTo<TSource, TObject>(IUniTaskAsyncEnumerable<TSource>, TObject, Action<TObject, TSource>, CancellationToken, Boolean) |

### Methods

#### BindTo(IUniTaskAsyncEnumerable<Boolean>, Selectable, Boolean)

    public static void BindTo(this IUniTaskAsyncEnumerable<bool> source, Selectable selectable, bool rebindOnError = true)

##### Parameters

`source` IUniTaskAsyncEnumerable<System.Boolean>
`selectable` Selectable
`rebindOnError` System.Boolean

#### BindTo(IUniTaskAsyncEnumerable<Boolean>, Selectable, CancellationToken, Boolean)

    public static void BindTo(this IUniTaskAsyncEnumerable<bool> source, Selectable selectable, CancellationToken cancellationToken, bool rebindOnError = true)

##### Parameters

`source` IUniTaskAsyncEnumerable<System.Boolean>
`selectable` Selectable
`cancellationToken` System.Threading.CancellationToken
`rebindOnError` System.Boolean

#### BindTo(IUniTaskAsyncEnumerable<String>, Text, Boolean)

    public static void BindTo(this IUniTaskAsyncEnumerable<string> source, Text text, bool rebindOnError = true)

##### Parameters

`source` IUniTaskAsyncEnumerable<System.String>
`text` Text
`rebindOnError` System.Boolean

#### BindTo(IUniTaskAsyncEnumerable<String>, Text, CancellationToken, Boolean)

    public static void BindTo(this IUniTaskAsyncEnumerable<string> source, Text text, CancellationToken cancellationToken, bool rebindOnError = true)

##### Parameters

`source` IUniTaskAsyncEnumerable<System.String>
`text` Text
`cancellationToken` System.Threading.CancellationToken
`rebindOnError` System.Boolean

#### BindTo<T>(AsyncReactiveProperty<T>, Text, Boolean)

    public static void BindTo<T>(this AsyncReactiveProperty<T> source, Text text, bool rebindOnError = true)

##### Parameters

`source` AsyncReactiveProperty<T>
`text` Text
`rebindOnError` System.Boolean

##### Type Parameters

`T`

#### BindTo<T>(IUniTaskAsyncEnumerable<T>, Text, Boolean)

    public static void BindTo<T>(this IUniTaskAsyncEnumerable<T> source, Text text, bool rebindOnError = true)

##### Parameters

`source` IUniTaskAsyncEnumerable<T>
`text` Text
`rebindOnError` System.Boolean

##### Type Parameters

`T`

#### BindTo<T>(IUniTaskAsyncEnumerable<T>, Text, CancellationToken, Boolean)

    public static void BindTo<T>(this IUniTaskAsyncEnumerable<T> source, Text text, CancellationToken cancellationToken, bool rebindOnError = true)

##### Parameters

`source` IUniTaskAsyncEnumerable<T>
`text` Text
`cancellationToken` System.Threading.CancellationToken
`rebindOnError` System.Boolean

##### Type Parameters

`T`

#### BindTo<TSource, TObject>(IUniTaskAsyncEnumerable<TSource>, TObject, Action<TObject, TSource>, Boolean)

    public static void BindTo<TSource, TObject>(this IUniTaskAsyncEnumerable<TSource> source, TObject monoBehaviour, Action<TObject, TSource> bindAction, bool rebindOnError = true)
        where TObject : MonoBehaviour

##### Parameters

`source` IUniTaskAsyncEnumerable<TSource>
`monoBehaviour` TObject
`bindAction` Action<TObject, TSource>
`rebindOnError` System.Boolean

##### Type Parameters

`TSource`
`TObject`

#### BindTo<TSource, TObject>(IUniTaskAsyncEnumerable<TSource>, TObject, Action<TObject, TSource>, CancellationToken, Boolean)

    public static void BindTo<TSource, TObject>(this IUniTaskAsyncEnumerable<TSource> source, TObject bindTarget, Action<TObject, TSource> bindAction, CancellationToken cancellationToken, bool rebindOnError = true)

##### Parameters

`source` IUniTaskAsyncEnumerable<TSource>
`bindTarget` TObject
`bindAction` Action<TObject, TSource>
`cancellationToken` System.Threading.CancellationToken
`rebindOnError` System.Boolean

##### Type Parameters

`TSource`
`TObject`